Page MenuHomePhabricator

Use shallow clones in build-llvm.py.
ClosedPublic

Authored by sas on Feb 18 2016, 4:37 PM.

Details

Summary

This makes cloning (and therefore the whole build) faster.
The checkout step goes from ~4m to ~30s on my host.

Diff Detail

Repository
rL LLVM

Event Timeline

sas updated this revision to Diff 48427.Feb 18 2016, 4:37 PM
sas retitled this revision from to Use shallow clones in build-llvm.py..
sas updated this object.
sas added a reviewer: tfiala.
sas added a subscriber: lldb-commits.

+Sean

Sean, I'm okay with this for now. You know my changes coming down the pipe, and I can add a configuration setting for the git side that lets us optionally add in the history truncation. Thoughts?

(Stephane, I've got a change in the works that is currently backed up behind some other things, but it allows better mapping of Xcode lldb configuration to llvm/clang configuration, and includes specifying if svn or git should be used. It will actually default to svn. Most of the change is in github.com/tfiala/lldb on the tfiala-master branch but I won't have time to clean it up for a little while here).

sas added a subscriber: sas.Feb 22 2016, 7:23 PM

Ah, sounds like a cool change. Should we wait until your stuff goes in or
are you still ok with submitting my patch in the meantime?

tfiala added a subscriber: tfiala.Feb 27 2016, 3:17 PM

Nah - please go ahead and submit it. I'll just make sure I add the ability
to specify arbitrary git flags for the git part so you can have this when I
put the new change in.

tfiala accepted this revision.Feb 27 2016, 3:19 PM
tfiala edited edge metadata.

Nah - please go ahead and submit it. I'll just make sure I add the ability
to specify arbitrary git flags for the git part so you can have this when I
put the new change in.

Haha sorry poor English after I reread the question. More appropriate answer:

"Yes - please feel free to submit your addition."

This revision is now accepted and ready to land.Feb 27 2016, 3:19 PM
This revision was automatically updated to reflect the committed changes.